curl --location 'https://api.myvocal.ai/sound_clone/api/v1/voices/vc/123' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'callbackUrl="111"'
{
"code": 1,
"message": "Success",
"data": {
"webhookId": "1701406584rkzy91"
}
}
{
"code": -1,
"message": "error msg",
}
Voice API reference
Improve a Cover voice
Upload more recordings to improve a custom AI Cover voice. The result is reported to your callback URL.
PUT
/
sound_clone
/
api
/
v1
/
voices
/
vc
/
{voiceId}
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/voices/vc/123' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'callbackUrl="111"'
{
"code": 1,
"message": "Success",
"data": {
"webhookId": "1701406584rkzy91"
}
}
{
"code": -1,
"message": "error msg",
}
Voice cloning · Workflow: How to use voices
The result is delivered to your
callbackUrl; see Cover callbacks (EDIT_COVER_SPEAKER).
The interactive playground on this page cannot send file uploads. This is a limitation of the documentation playground, not of the API. Send the
multipart/form-data request to https://api.myvocal.ai/sound_clone/api/v1/voices/vc/{voiceId} from your own code or an HTTP tool, as in the request example.Header
string
required
Your API key. See Authentication.
Body
string
required
Your voiceId
string
required
To receive the audio returned after processing is completed.
Files
required
Please provide mp3/wav/m4a files.
A single file cannot exceed 10MB, and up to 25 files can be uploaded.
Please ensure that the total effective duration of the audio (including the parts with human voice, excluding the silent parts) is longer than 1 minute.
Response
number
Indicates whether the call was successful. 1 if successful.
string
When an exception occurs, specific exception information will be provided in the message.
object
Includes specific data.
Show Toggle object
Show Toggle object
string
When the request is successfully sent, a webhookId will be synchronously returned. The same information will also be called back in the callbackUrl, which is used to correlate the request and the response.
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/voices/vc/123' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'callbackUrl="111"'
{
"code": 1,
"message": "Success",
"data": {
"webhookId": "1701406584rkzy91"
}
}
{
"code": -1,
"message": "error msg",
}
